<?php
namespace MascotEducacionNamespace\Framework\IconFonts\FlatIconSetCurrentTheme;

use MascotEducacionNamespace\Framework\IconFonts\Lib;

/**
 * class Educacion_Mascot_Icons_FlatIconSetCurrentTheme
 * @package MascotEducacionNamespace\Framework\IconFonts\FlatIconSetCurrentTheme;
 */
if( !class_exists( 'Educacion_Mascot_Icons_FlatIconSetCurrentTheme' ) ) {
class Educacion_Mascot_Icons_FlatIconSetCurrentTheme implements Lib\Educacion_Mascot_Interface_IconFonts {
	/**
	 * @var icons
	 */
	private $icons;
	
	/**
	 * construct
	 */
	public function __construct() {
		$this->icons = array();
		$this->iconList();
	}
	
	/**
	 * Returns Icon List
	 */
	public function getIconList() {
		return $this->icons;
	}

	private function iconList() {
		$this->icons = array (
			'tm-flaticon-fashion' => 'tm-flaticon-fashion', 
			'tm-flaticon-people' => 'tm-flaticon-people', 
			'tm-flaticon-sport' => 'tm-flaticon-sport', 
			'tm-flaticon-sports' => 'tm-flaticon-sports', 
			'tm-flaticon-sports-1' => 'tm-flaticon-sports-1', 
			'tm-flaticon-sports-10' => 'tm-flaticon-sports-10', 
			'tm-flaticon-sports-11' => 'tm-flaticon-sports-11', 
			'tm-flaticon-sports-2' => 'tm-flaticon-sports-2', 
			'tm-flaticon-sports-3' => 'tm-flaticon-sports-3', 
			'tm-flaticon-sports-4' => 'tm-flaticon-sports-4', 
			'tm-flaticon-sports-5' => 'tm-flaticon-sports-5', 
			'tm-flaticon-sports-6' => 'tm-flaticon-sports-6', 
			'tm-flaticon-sports-7' => 'tm-flaticon-sports-7', 
			'tm-flaticon-sports-8' => 'tm-flaticon-sports-8', 
			'tm-flaticon-sports-9' => 'tm-flaticon-sports-9', 
		);
	}

	/**
	* Check if the font package has Social Icons
	*/
	public function hasSocialIcons() {
		return false;
	}

}
}